// JavaScript Document
	   
function submit_action(addr)
{
	 document.form1.action=addr;
}

function check_em(str)
{
	var a;
	var b;
	
	for(i=0;i<str.length;i++)
	{
	  a=str.indexOf("@");
	  b=str.indexOf(".");
	  //alert(table1.charAt(i));
	  if ((a>0) && (b>0))
	  {
		document.getElementById('em').innerHTML="<font color=#009966 size=-1><b>邮件格式正确<b></font>"; 
		 
	  }
	  else
	  {
		document.getElementById('em').innerHTML="<font color=#ff0000 size=-1><b>邮件格式不正确<b></font>"; 
		document.form1.email.value="";
		document.form1.email.focus();   
	  }
	}
}


function check_qq(str)
{
	var table="0123456789";
	var e;
	var c;
	var flag=2;
	if (str.length<=0) 
	{
		return false;
	}
	for(e=0;e<str.length;e++)
	{
		c=str.charAt(e);
		d=table.indexOf(c);
		if(d<0)
		{
			flag=1;
			break;
		}
	
	}
	
	
	if(flag==1)
	{
	document.getElementById('qq_info').innerHTML="<font color=#ff0000 size=-1>QQ号码格式不正确</font>"; 
	document.form1.qq.value="";
	document.form1.qq.focus();	
	
	}
	if(flag==2)
	{
		document.getElementById('qq_info').innerHTML="<font color=#009966 size=-1>QQ号码格式正确</font>";
		
	}
	
}



function check_phone(str)
{
	var table="0123456789";
	var e;
	var c;
	var flag=2;
	if (str.length<=0) 
	{
		return false;
	}
	for(e=0;e<str.length;e++)
	{
		c=str.charAt(e);
		d=table.indexOf(c);
		if(d<0)
		{
			flag=1;
			break;
		}
	
	}
	
	
	if(flag==1)
	{
	   document.getElementById('phone_info').innerHTML="<font color=#ff0000 size=-1>手机号码格式不正确</font>"; 
	   document.form1.phone.value="";
	   document.form1.phone.focus();	
	}
	if(flag==2)
	{
	  document.getElementById('phone_info').innerHTML="<font color=#009966 size=-1>手机号码格式正确</font>";
	}
	
}





function check_submit()
{
	
	if (document.form1.email.value=="")
	{
		alert('请输入电子邮件地址 xxx@yyy.com形式.');
		document.form1.email.focus();
		return false;
	}
	else if (document.form1.qq.value=="")
	{
		alert('请输入QQ号.');
		document.form1.qq.focus();
		return false;
	}
	
	else if (document.form1.phone.value=="")
	{
		alert('请输入手机号.');
		document.form1.qq.focus();
		return false;
	}
	
	else
	  submit_action("register_user_data2.php");
	
}











